Bug 153429 - [patch] Fix explicite uses of unzip in ports
Summary: [patch] Fix explicite uses of unzip in ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-24 13:50 UTC by Alex Kozlov
Modified: 2012-07-04 14:44 UTC (History)
0 users

See Also:


Attachments
file.diff (6.63 KB, patch)
2010-12-24 13:50 UTC, Alex Kozlov
no flags Details | Diff
patch.txt (6.64 KB, text/plain; charset=us-ascii)
2010-12-24 19:51 UTC, Alex Kozlov
no flags Details
do-the-patch.diff (8.64 KB, patch)
2011-09-18 17:39 UTC, Eitan Adler
no flags Details | Diff
patch.txt (4.61 KB, text/plain; charset=us-ascii)
2011-11-04 13:47 UTC, Alex Kozlov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kozlov 2010-12-24 13:50:07 UTC
Fix explicite uses of unzip in ports. Also cleanup audio/linux-mbrola Makefile.

List of ports:
audio/linux-mbrola/Makefile
devel/ros-nxt/Makefile
editors/openoffice.org-2/Makefile
editors/openoffice.org-3-RC/Makefile
editors/openoffice.org-3-devel/Makefile
editors/openoffice.org-vcltesttool/Makefile
emulators/vmsbackup/Makefile
games/inform/Makefile
games/sdb/Makefile
games/uhexen/Makefile
java/sun-wtk/Makefile
mail/mailscanner/Makefile
misc/mc/Makefile
textproc/docbook-xml/Makefile
textproc/sdocbook-xml/Makefile
www/pebble/Makefile

Fix: Patch attached with submission follows:
Comment 1 swell.k 2010-12-24 19:36:31 UTC
Alex Kozlov <spam@rm-rf.kiev.ua> writes:

> Index: audio/linux-mbrola/Makefile
> @@ -21,7 +21,7 @@
>  
>  CONFLICTS=	mbrola-*
>  NO_BUILD=	yes
> -ONLY_FOR_ARCHS=	alpha amd64 i386
> +IA32_BINARY_PORT=	yes
>  USE_LINUX=	yes
>  USE_ZIP=	yes
>  RESTRICTED=	for non-commercial, non-military applications only

Don't use IA32_BINARY_PORT for USE_LINUX port, see ports/148879.
- 32bit freebsd libs (i.e. /usr/lib32) aren't required for linux- ports
- ia64 is not supported by most linux- ports (and kernel?)
Comment 2 Alex Kozlov 2010-12-24 19:51:48 UTC
On Fri, Dec 24, 2010 at 10:36:31PM +0300, Anonymous wrote:
> Alex Kozlov <spam@rm-rf.kiev.ua> writes:
> 
>> Index: audio/linux-mbrola/Makefile
>> @@ -21,7 +21,7 @@
>>  
>>  CONFLICTS=	mbrola-*
>>  NO_BUILD=	yes
>> -ONLY_FOR_ARCHS=	alpha amd64 i386
>> +IA32_BINARY_PORT=	yes
>>  USE_LINUX=	yes
>>  USE_ZIP=	yes
>>  RESTRICTED=	for non-commercial, non-military applications only
> 
> Don't use IA32_BINARY_PORT for USE_LINUX port, see ports/148879.
> - 32bit freebsd libs (i.e. /usr/lib32) aren't required for linux- ports
> - ia64 is not supported by most linux- ports (and kernel?)
Thanks. Here is an updated patch.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2011-09-07 16:14:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-09-18 17:39:48 UTC
This patch requires approval from those CCed.

-- 
Eitan Adler
Ports committer
Bugbusting team
Comment 5 Herve Quiroz freebsd_committer 2011-09-18 21:17:06 UTC
On Sun, Sep 18, 2011 at 12:39:48PM -0400, Eitan Adler wrote:
> This patch requires approval from those CCed.

I approve the patch.

Herve
Comment 6 Gabor Kovesdan freebsd_committer 2011-09-18 23:40:18 UTC
On 2011.09.18. 18:39, Eitan Adler wrote:
> This patch requires approval from those CCed.
>
Approved for my ports. And thanks!

Gabor
Comment 7 Dmitry Marakasov 2011-09-19 00:31:41 UTC
* Eitan Adler (eadler@freebsd.org) wrote:

> This patch requires approval from those CCed.

Approved, thanks!

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 8 dfilter service freebsd_committer 2011-11-03 00:39:01 UTC
eadler      2011-11-03 00:38:47 UTC

  FreeBSD ports repository

  Modified files:
    textproc/docbook-xml Makefile 
    misc/mc              Makefile 
    www/pebble           Makefile 
    devel/ros-nxt        Makefile 
    games/sdb            Makefile 
    textproc/sdocbook-xml Makefile 
    games/uhexen         Makefile 
    emulators/vmsbackup  Makefile 
  Log:
  - fix explicit use of unzip in ports
  
  PR:             ports/153429
  Submitted by:   Alex Kozlov <spam@rm-rf.kiev.ua>
  Approved by:    maintainers (hq, gabor, amdmi3)
  Approved by:    maintainer timeout
  Approved by:    bapt,sahil (mentors, implicit)
  
  Revision  Changes    Path
  1.6       +1 -1      ports/devel/ros-nxt/Makefile
  1.21      +1 -1      ports/emulators/vmsbackup/Makefile
  1.20      +1 -1      ports/games/sdb/Makefile
  1.20      +1 -1      ports/games/uhexen/Makefile
  1.140     +1 -1      ports/misc/mc/Makefile
  1.25      +1 -1      ports/textproc/docbook-xml/Makefile
  1.11      +1 -1      ports/textproc/sdocbook-xml/Makefile
  1.7       +1 -1      ports/www/pebble/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Eitan Adler freebsd_committer freebsd_triage 2011-11-03 00:41:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 10 Alex Kozlov 2011-11-04 13:47:41 UTC
On Thu, Nov 03, 2011 at 12:41:16AM +0000, eadler@FreeBSD.org wrote:
> Synopsis: [patch] Fix explicite uses of unzip in ports
>
> State-Changed-From-To: open->closed
> State-Changed-By: eadler
> State-Changed-When: Thu Nov 3 00:41:16 UTC 2011
> State-Changed-Why:
> Committed. Thanks!
Thanks for Your work.
But it seems that patches for some ports were not approved (does maintainer
timeout work in this case?) and also a few new explicit uses of unzip
appeared in the ports tree. I think that pr needs to be reopened.
Updated patch below.


--
Adios
Comment 11 Eitan Adler freebsd_committer freebsd_triage 2011-11-04 23:38:13 UTC
State Changed
From-To: closed->open

There is more to be done, but I don't have the time to do it. Hand it 
back to the pool 


Comment 12 Eitan Adler freebsd_committer freebsd_triage 2011-11-04 23:38:13 UTC
Responsible Changed
From-To: eadler->freebsd-ports-bugs

There is more to be done, but I don't have the time to do it. Hand it 
back to the pool
Comment 13 Alex Kozlov freebsd_committer 2012-03-06 00:55:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

Take my own pr
Comment 14 dfilter service freebsd_committer 2012-04-08 21:27:21 UTC
ak          2012-04-08 20:27:09 UTC

  FreeBSD ports repository

  Modified files:
    audio/linux-mbrola   Makefile 
  Log:
  - Fix explicit use of unzip
  - Remove vestiges of alpha
  
  PR:     ports/153429
  Approved by:    eadler (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.10      +4 -13     ports/audio/linux-mbrola/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter service freebsd_committer 2012-07-04 07:59:45 UTC
ak          2012-07-04 06:59:31 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice-3 Makefile 
    editors/openoffice-3-devel Makefile 
    editors/openoffice.org-vcltesttool Makefile 
  Log:
  - Fix explicit use of unzip
  
  PR:     ports/153429
  Approved by:    office@ (crees)
  
  Revision  Changes    Path
  1.542     +1 -1      ports/editors/openoffice-3-devel/Makefile
  1.351     +1 -1      ports/editors/openoffice-3/Makefile
  1.396     +1 -1      ports/editors/openoffice.org-vcltesttool/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 Alex Kozlov freebsd_committer 2012-07-04 14:44:03 UTC
State Changed
From-To: open->closed

All known cases are fixed. For now.